# Generated from radiant-1.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name radiant

Name: rubygem-%{gem_name}
Version: 1.1.4
Release: 1%{?dist}
Summary: A no-fluff content management system designed for small teams
License: MIT
URL: http://radiantcms.org
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel > 1.3.1
BuildRequires: ruby
# BuildRequires: rubygem(cucumber-rails) >= 0.3.2
# BuildRequires: rubygem(cucumber-rails) < 0.4
# BuildRequires: rubygem(database_cleaner) >= 0.6.5
# BuildRequires: rubygem(database_cleaner) < 0.7
# BuildRequires: rubygem(webrat) >= 0.7.3
# BuildRequires: rubygem(webrat) < 0.8
# BuildRequires: rubygem(nokogiri) >= 1.5.10
# BuildRequires: rubygem(nokogiri) < 1.6
# BuildRequires: rubygem(rspec) >= 1.3.1
# BuildRequires: rubygem(rspec) < 1.4
# BuildRequires: rubygem(rspec-rails) >= 1.3.3
# BuildRequires: rubygem(rspec-rails) < 1.4
# BuildRequires: rubygem(test-unit) = 1.2.3
BuildArch: noarch

%description
Radiant is a simple and powerful publishing system designed for small teams.
It is built with Rails and is similar to Textpattern or MovableType, but is
a general purpose content managment system--not merely a blogging engine.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/radiant
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/INSTALL.md
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%{gem_instdir}/log
%{gem_instdir}/public
%{gem_instdir}/rails
%{gem_instdir}/script
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTORS.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%{gem_instdir}/GemfileRails3
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/features
%{gem_instdir}/radiant.gemspec
%{gem_instdir}/spec
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 1.1.4-1
- Initial package
